com.jscape.inet.terminal.commands

## Class DECSTBMCommand

- java.lang.Object
- - com.jscape.inet.terminal.commands.DECSTBMCommand

- All Implemented Interfaces:
    ControlCommand

      public class DECSTBMCommand
      extends java.lang.Object
      implements ControlCommand

  DECSTBM -- Set Top and Bottom Margins. This sequence sets the top and bottom margins to define the scrolling region. The first parameter is the line number of the first line in the scrolling region; the second parameter is the line number of the bottom line in the scrolling region. Default is the entire screen (no margins). The minimum size of the scrolling region allowed is two lines, i.e., the top margin must be less than the bottom margin. The cursor is placed in the home position (see Origin Mode DECOM).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CANONICAL_FORM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(int[] params, Terminal terminal)` Executes command giving parameters and `Terminal` object.
    `static DECSTBMCommand` | `getInstance()` Returns one and only one instance of this type.
    `void` | `send(int[] params, Terminal terminal)` Sends command to remote host.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CANONICAL_FORM

          public static final java.lang.String CANONICAL_FORM

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static DECSTBMCommand getInstance()

      Returns one and only one instance of this type.
      Returns:
        one and only one instance of this type.

    - #### execute

          public void execute(int[] params,
                              Terminal terminal)

      Executes command giving parameters and `Terminal` object.
      Specified by:
        `execute` in interface `ControlCommand`
      Parameters:
        `params` - array of `int` command parametrs.
        `terminal` - target `Terminal` object.

    - #### send

          public void send(int[] params,
                           Terminal terminal)

      Sends command to remote host.
      Specified by:
        `send` in interface `ControlCommand`
      Parameters:
        `params` - command parameters.
        `terminal` - target `Terminal` object to send command.

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved